module Schofield

  module Generators

    class Navigation

      def self.generate
        Levels.all.select(&:routes?).inject("\n    %ul\n      %li.toplevel") do |memo, level|
          memo += "\n\n      - if permitted_to?(:read, :#{level.name.pluralize})"
          memo += "\n        %li{ :class => nav_classes('#{level.model.name}') }= link_to '#{level.model.name.titleize.pluralize}', admin_#{level.name.pluralize}_path"
        end
      end

    end

  end
end
